{
  inputs.artiq.url = "git+https://github.com/m-labs/artiq.git?ref=release-7";
  outputs = { self, artiq }:
    let
      pkgs = artiq.inputs.nixpkgs.legacyPackages.x86_64-linux;
      aqmain = artiq.packages.x86_64-linux;
    in {
      defaultPackage.x86_64-linux = pkgs.buildEnv {
        name = "aq6140-env";
        paths = [
          (pkgs.python3.withPackages(ps: [
            aqmain.artiq
            ps.pyvisa ps.pyvisa-py ps.numpy
          ]))
        ];
      };
    };
}
